Skip to main content
PATCH
/
identity-providers
/
{idp_id}
Update an Identity Provider
curl --request PATCH \
  --url https://{tenantDomain}/my-org/identity-providers/{idp_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "display_name": "OIDC IdP",
  "show_as_button": true,
  "assign_membership_on_login": false,
  "is_enabled": true,
  "options": {
    "type": "front_channel",
    "client_id": "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
    "client_secret": "KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
    "discovery_url": "https://{yourDomain}/.well-known/openid-configuration"
  }
}
'
{
  "id": "con_zW1UHutvkVWSWdCC",
  "name": "oidcIdp",
  "display_name": "OIDC IdP",
  "strategy": "oidc",
  "show_as_button": true,
  "assign_membership_on_login": false,
  "access_level": "full",
  "domains": [
    "mydomain.com"
  ],
  "is_enabled": true,
  "options": {
    "type": "front_channel",
    "client_id": "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
    "discovery_url": "https://{yourDomain}/.well-known/openid-configuration"
  },
  "attributes": [
    {
      "sso_field": [
        "userName"
      ],
      "user_attribute": "preferred_username",
      "description": "Preferred Username",
      "label": "Preferred username",
      "is_required": true,
      "is_extra": false,
      "is_missing": false
    },
    {
      "sso_field": [
        "externalId"
      ],
      "user_attribute": "external_id",
      "is_required": true,
      "is_extra": true,
      "is_missing": false
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://auth0-feat-ionic-capacitor-quickstart-modernization.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

idp_id
string
required
read-only

Identity provider identifier.

Pattern: ^con_[A-Za-z0-9]{16}$

Body

application/json
display_name
string

Identity provider name used on the login screen. Requires access_level to be 'full'

Required string length: 1 - 128
show_as_button
boolean

Enables showing a button for the connection in the login page (new experience only). If false, it will be usable only by Home Realm Discovery (HRD). Requires access_level to be 'full' or 'limited'

assign_membership_on_login
boolean

If true, the user will be made a member of the organization upon login. Requires access_level to be 'full' or 'limited'.

is_enabled
boolean

True if the identity provider is enabled for the organization. Requires access_level to be 'full' or 'limited'

options
adfs_server · object

Identity provider specific options. Requires access_level to be 'full'.

Response

Identity provider successfully updated.

Identity provider specific options.

strategy
enum<string>
required

The type of the identity provider

Available options:
adfs,
google-apps,
oidc,
okta,
pingfederate,
samlp,
waad
Allowed value: "adfs"
options
adfs_server · object
required

Identity provider specific options.

id
string
read-only

Identity provider identifier.

Pattern: ^con_[A-Za-z0-9]{16}$
name
string | null

The name of the identity provider

Maximum string length: 128
domains
string[]

List of domains for Home Realm Discovery (HRD)

display_name
string

Identity provider name used on the login screen.

Required string length: 1 - 128
show_as_button
boolean

Enables showing a button for the connection in the login page (new experience only). If false, it will be usable only by Home Realm Discovery (HRD).

assign_membership_on_login
boolean

If true, the user will be made a member of the organization upon login.

is_enabled
boolean

True if the identity provider is enabled for the organization.

access_level
enum<string>
read-only
Available options:
none,
readonly,
limited,
full